Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter Common API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.db
Interface AgentFactory

    public interface AgentFactory

Interface of AgentFactory. Implementation of this class will support the creation of different StatementAgent instances.

Version:
  $Revision: 1.2 $
Author:
  $Author: cmbuild $

Method Summary
`com.stc.connector.appconn.db.StatementAgent` | `getInstance(java.lang.Class clsAgent)` Gets a statement agent instance.
`com.stc.connector.appconn.db.StatementAgent` | `getInstance(java.lang.Class clsAgent, int iScroll, int iConcur)` Gets a StatementAgent instance with the specified resultset and concurrency types.
`com.stc.connector.appconn.db.StatementAgent` | `lookup(java.lang.String sName)` Lookups a StatementAgent instance using its class name.
`void` | `release()` Releases agent factory resources.

Method Detail

### release

    void release()

  Releases agent factory resources.

### getInstance

    com.stc.connector.appconn.db.StatementAgent getInstance(java.lang.Class clsAgent)
                                                            throws java.lang.Exception

  Gets a statement agent instance.

  Parameters:
    `clsAgent` - class of StatementAgent
  Returns:
    a StatementAgent instance
  Throws:
    `java.lang.Exception` - any exception related to instance creation

### getInstance

    com.stc.connector.appconn.db.StatementAgent getInstance(java.lang.Class clsAgent,
                                                            int iScroll,
                                                            int iConcur)
                                                            throws java.lang.Exception

  Gets a StatementAgent instance with the specified resultset and concurrency types.

  Parameters:
    `clsAgent` - class of StatementAgent
    `iScroll` - resultset type; TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE
    `iConcur` - concurrency type; CONCUR_READ_ONLY, CONCUR_UPDATABLE.
  Returns:
    a StatementAgent instance
  Throws:
    `java.lang.Exception` - any exception related to instance creation

### lookup

    com.stc.connector.appconn.db.StatementAgent lookup(java.lang.String sName)

  Lookups a StatementAgent instance using its class name.

  Parameters:
    `sName` - a StatementAgent name.
  Returns:
    a StatementAgent instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter Common API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD